lightning-checkmessage -- Command to check if a signature is from a node
=====================================================================

SYNOPSIS
--------

**checkmessage** *message* *zbase* [*pubkey*]

DESCRIPTION
-----------

The **checkmessage** RPC command is the counterpart to
**signmessage**: given a node id (*pubkey*), signature (*zbase*) and a
*message*, it verifies that the signature was generated by that node
for that message (more technically: by someone who knows that node's
secret).

As a special case, if *pubkey* is not specified, we will try every
known node key (as per *listnodes*), and verification succeeds if it
matches for any one of them.  Note: this is implemented far more
efficiently than trying each one, so performance is not a concern.

RETURN VALUE
------------

[comment]: # (GENERATE-FROM-SCHEMA-START)
On success, an object is returned, containing:
- **verified** (boolean): Whether the signature was valid

If **verified** is *true*:
  - **pubkey** (pubkey): the *pubkey* parameter, or the pubkey found by looking for known nodes

If **verified** is *false*:
  - **pubkey** (pubkey): the *pubkey* (if any) which could have signed this; this is usually not useful!

[comment]: # (GENERATE-FROM-SCHEMA-END)

AUTHOR
------

Rusty Russell <<rusty@rustcorp.com.au>> is mainly responsible.

SEE ALSO
--------

lightning-signmessage(7)

RESOURCES
---------

Main web site: <https://github.com/ElementsProject/lightning>

[comment]: # ( SHA256STAMP:6df0e61e28118786861aacc073e3289268fe1b00837c3fd02a537aa13e5acae5)
